Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graph
Class JointOutgoingEdges

    java.lang.Object
      org.eclipse.draw2d.graph.Edge
          org.eclipse.gmf.runtime.draw2d.ui.graph.JointOutgoingEdges

    public class JointOutgoingEdges

extends Edge

A set of outgoing edges that is treated as one outgoing edge. Used internally for laying out connected border nodes.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.draw2d.graph.Edge
`data, delta, end, isFeedback, offsetSource, offsetTarget, padding, source, start, target, vNodes, weight, width`

Constructor Summary
`JointOutgoingEdges(BorderNode joint)`

Method Summary
`BorderNode` `getJoint()`
`Edge` `getLeadingEdge()`

Methods inherited from class org.eclipse.draw2d.graph.Edge
`getDelta, getLength, getPadding, getPoints, getSourceOffset, getTargetOffset, getWidth, invert, isFeedback, opposite, setDelta, setPadding, setSource, setSourceOffset, setTarget, setTargetOffset, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JointOutgoingEdges

    public JointOutgoingEdges(BorderNode joint)

Method Detail

### getLeadingEdge

    public Edge getLeadingEdge()

### getJoint

    public BorderNode getJoint()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.